﻿#region License
/*
FlagsISO

A library containing country (and some other) flags.
Copyright (C) 2015 VPKSoft, Petteri Kautonen

Contact: vpksoft@vpksoft.net

This file is part of FlagsISO.

FlagsISO is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FlagsISO is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with FlagsISO.  If not, see <http://www.gnu.org/licenses/>.
*/
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Globalization;

namespace CountryComboTest
{
    public partial class FormMain : Form
    {
        public FormMain()
        {
            InitializeComponent();
        }

        private void btLeave_Click(object sender, EventArgs e)
        {
            cmbCountrySelect.LeaveRegions(RegionInfo.CurrentRegion, new RegionInfo("US"));
        }

        private void btRemove_Click(object sender, EventArgs e)
        {
            cmbCountrySelect.RemoveRegions(RegionInfo.CurrentRegion, new RegionInfo("US"));
        }

        private void btReset_Click(object sender, EventArgs e)
        {
            cmbCountrySelect.ResetRegions();
        }
    }
}
